OpenTTD Source: GRFError Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
GRFError Struct Reference

Information about why GRF had problems during initialisation. More...

`#include <newgrf_config.h>`

## Public Member Functions
| GRFError (StringID severity, uint32_t nfo_line, StringID message={})

## Data Fields
std::string | custom_message {}
| Custom message (if present)
std::string | data {}
| Additional data for message and custom_message.
StringID | message {}
| Default message.
StringID | severity {}
| Info / Warning / Error / Fatal.
uint32_t | nfo_line
| Line within NewGRF of error.
std::array< uint32_t, 2 > | param_value {}
| Values of GRF parameters to show for message and custom_message.

## Detailed Description

Information about why GRF had problems during initialisation.

Definition at line 109 of file newgrf_config.h.

## Constructor & Destructor Documentation

## ◆ GRFError()

GRFError::GRFError | ( | StringID | severity,
|  | uint32_t | nfo_line,
|  | StringID | message = `{}`
| ) |  |
| inline

Definition at line 110 of file newgrf_config.h.

## Field Documentation

## ◆ custom_message

std::string GRFError::custom_message {}

Custom message (if present)

Definition at line 113 of file newgrf_config.h.

Referenced by ShowNewGRFError().

## ◆ data

std::string GRFError::data {}

Additional data for message and custom_message.

Definition at line 114 of file newgrf_config.h.

Referenced by DisableStaticNewGRFInfluencingNonStaticNewGRFs(), ShowNewGRFError(), and TranslateGRFStrings().

## ◆ message

StringID GRFError::message {}

Default message.

Definition at line 115 of file newgrf_config.h.

Referenced by ShowNewGRFError().

## ◆ nfo_line

uint32_t GRFError::nfo_line

Line within NewGRF of error.

Definition at line 117 of file newgrf_config.h.

Referenced by DisableGrf().

## ◆ param_value

std::array<uint32_t, 2> GRFError::param_value {}

Values of GRF parameters to show for message and custom_message.

Definition at line 118 of file newgrf_config.h.

Referenced by IndustriesChangeInfo(), IndustrytilesChangeInfo(), ShowNewGRFError(), and TownHouseChangeInfo().

## ◆ severity

StringID GRFError::severity {}

Info / Warning / Error / Fatal.

Definition at line 116 of file newgrf_config.h.

Referenced by ShowNewGRFError().

The documentation for this struct was generated from the following file:

- src/newgrf_config.h